package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsOperationWarnconfig;
import com.ruoyi.system.domain.vo.ZsOperationWarnconfigVo;
import com.ruoyi.system.domain.bo.ZsOperationWarnconfigBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 预警配置Service接口
 *
 * @author 王强
 * @date 2025-05-08
 */
public interface IZsOperationWarnconfigService {

    /**
     * 查询预警配置
     */
    ZsOperationWarnconfigVo queryById(Long id);

    /**
     * 查询预警配置列表
     */
    TableDataInfo<ZsOperationWarnconfigVo> queryPageList(ZsOperationWarnconfigBo bo, PageQuery pageQuery);

    /**
     * 查询预警配置列表
     */
    List<ZsOperationWarnconfigVo> queryList(ZsOperationWarnconfigBo bo);

    /**
     * 新增预警配置
     */
    Boolean insertByBo(ZsOperationWarnconfigBo bo);

    /**
     * 修改预警配置
     */
    Boolean updateByBo(ZsOperationWarnconfigBo bo);

    /**
     * 校验并批量删除预警配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
